/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.DispositivoEmbarcada;

/**
 *
 * @author valdevir.pinheiro
 */
public class RenderOperadorDispositivoVendaEmbarcada implements ListitemRenderer {

	public void render(Listitem lstm, Object o) throws Exception {
		DispositivoEmbarcada dispositivoEmbarcada = (DispositivoEmbarcada) o;
		
		Listcell lc = new Listcell(dispositivoEmbarcada.getDispositivoEmbarcadaId().toString());
		lc.setParent(lstm);

		lc = new Listcell(dispositivoEmbarcada.getDescricao().toString());
		lc.setParent(lstm);
		
		lc = new Listcell(dispositivoEmbarcada.getRegistro());
		lc.setParent(lstm);
		
		lc = new Listcell(dispositivoEmbarcada.getImei());
		lc.setParent(lstm);
		
		lc = new Listcell(String.format("%s - %s", dispositivoEmbarcada.getPuntoVenta().getPuntoventaId().toString(), dispositivoEmbarcada.getPuntoVenta().getNombpuntoventa()));
		lc.setParent(lstm);

		lstm.setAttribute("data", dispositivoEmbarcada);
	}
}
